@import url("https://fonts.googleapis.com/css2?family=Manrope:wght@800&display=swap");

* {
  margin: 0px;
  box-sizing: border-box;
}

:root {
  --light-cyan: hsl(193, 38%, 86%);
  --neon-green: hsl(150, 100%, 66%);
  --grayish-blue: hsl(217, 19%, 38%);
  --dark-grayish-blue: hsl(217, 19%, 24%);
  --dark-blue: hsl(218, 23%, 16%);
}

body {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Manrope", sans-serif;
  background-color: var(--dark-blue);
}
.box {
  width: min(500px, 90%);
  height: min(320px, 50%);
  border-radius: 10px;
  text-align: center;
  padding: 30px;
  background-color: var(--dark-grayish-blue);
}

#adviceId {
  color: var(--neon-green);
  letter-spacing: 3px;
  font-weight: 800;
  margin-bottom: 20px;
}

#adviceContent {
  margin-bottom: 20px;
  width: 100%;
  height: 150px;
  color: var(--light-cyan);
  font-size: 28px;
}

#newAdvice {
  width: 60px;
  height: 60px;
  background-color: var(--neon-green);
  border: 2px solid var(--neon-green);
  border-radius: 50%;
  margin-top: 30px;
}

#newAdvice:hover {
  box-shadow: 0 0 50px var(--neon-green);
}

@media screen and (max-width: 600px) {
  .box {
    padding: 15px;
  }
  #adviceContent {
    font-size: 20px;
  }
}
